Subject: Re: latest Internet Domain Survey

From: "D. J. Bernstein" <[email-masked]>
Date: 11 Feb 2000 22:05:39 -0000

April Marine writes:
> The latest count shows more than 72 million hosts,

My survey in December (http://cr.yp.to/surveys/dnsptr2.txt) showed that
roughly 84 million IP addresses had PTR records. There are now close to
90 million.

One virtue of this measurement is that anyone can statistically verify
it in a matter of minutes. Download the DNScache package from
http://cr.yp.to/dnscache.html, replace BIND (which is too unstable for a
big survey) with dnscache, and run

   random-ip 10000 | softlimit -o 500 dnsfilter -c 100 -l 10000 > PTR

Then ``grep = PTR | wc'' will be the number of PTR records found out of
10000 IP addresses. For a slower but more comprehensive survey, change
the first 10000 to 100000 or 1000000. For extra speed, eliminate silly
addresses.

---Dan